@echo off

rem    Mwave Software.  (c) Copyright IBM Corp. 1994.
rem    All rights reserved.

rem   ----------------------------------------------
rem   This batch file can be used to create a boot disk
rem   suitable for many, but not all DOS games.
rem
rem   Usage: "MAKEBOOT A:"     makes the a: drive bootable
rem
rem   Note - if no arguments are used, usage message appears
rem   ----------------------------------------------

if exist %MWROOT%\manager\config.mwg goto parse
echo MWGAMES: Error! Can't find Mwave DOS environment.
echo          Please make sure that the MWROOT environment
echo          variable points to the Mwave DOS directory: \MWD.
goto end

:parse
if "%1"=="a:" goto makeboot
if "%1"=="A:" goto makeboot
if "%1"=="b:" goto makeboot
if "%1"=="B:" goto makeboot

echo MAKEBOOT Usage -  This program will make the floppy disk in drive
echo                   A: a bootable diskette.  This diskette can be used
echo                   to free enough memory for many DOS games.  Please
echo                   refer to your game manual for more detailed instructions.
echo                   To proceed, place a blank, formatted diskette into
echo                   drive A: and type "MAKEBOOT A:".
goto end

rem   ----------------------------------------------
rem   Make the selected diskette bootable
rem   ----------------------------------------------

:makeboot
sys c: %1
if not errorlevel 1 goto makecopy
echo MAKEBOOT: Error! Boot diskette could not be created.
echo           Please make sure that a blank, formatted diskette is in drive %1
goto end
:makecopy
copy %MWROOT%\manager\config.mwg   %1\config.sys
copy %MWROOT%\manager\autoexec.mwg %1\autoexec.bat

:makesuccess
echo MAKEBOOT: Boot diskette created.  Please reboot your machine
echo           for changes to take effect.
goto end

:end
@echo on
